Bug 889351 - Review Request: czmq - High-level C binding for 0MQ (ZeroMQ)
Summary: Review Request: czmq - High-level C binding for 0MQ (ZeroMQ)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 867182
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-20 21:40 UTC by Jose Pedro Oliveira
Modified: 2013-01-22 03:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 00:46:28 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2012-12-20 21:40:18 UTC
Spec URL:
http://um-pe09-2.di.uminho.pt/fedora/czmq.spec

SRPM URL:
http://um-pe09-2.di.uminho.pt/fedora/czmq-1.3.2-1.fc17.src.rpm

Description:
CZMQ has the following goals:
  i) To wrap the ØMQ core API in semantics that are natural and lead to
     shorter, more readable applications.
 ii) To hide the differences between versions of ØMQ.
iii) To provide a space for development of more sophisticated API semantics.

Fedora Account System Username:
jpo

Comment 1 Haïkel Guémar 2012-12-23 13:10:15 UTC
Since this package respects Fedora Packaging Guidelines (below, the formal review report generated with Fedora-review), i hereby approve czmq into Fedora Packages Collection.

----------------------

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "GPL (v2 or later)", "Unknown or generated". 3
     files have unknown license. Detailed output of licensecheck in
     /home/haikel/889351-czmq/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 4 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: czmq-debuginfo-1.3.2-1.fc17.x86_64.rpm
          czmq-devel-1.3.2-1.fc17.x86_64.rpm
          czmq-1.3.2-1.fc17.x86_64.rpm
          czmq-1.3.2-1.fc17.src.rpm
czmq-devel.x86_64: W: no-manual-page-for-binary czmq_selftest
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint czmq czmq-debuginfo czmq-devel
czmq.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libczmq.so.1.0.0 /lib64/libm.so.6
czmq-devel.x86_64: W: no-manual-page-for-binary czmq_selftest
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
czmq-debuginfo-1.3.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

czmq-devel-1.3.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    czmq(x86-64) = 1.3.2-1.fc17
    libc.so.6()(64bit)
    libczmq.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libzmq.so.3()(64bit)
    pkgconfig
    pkgconfig(libzmq)
    rtld(GNU_HASH)
    zeromq3-devel

czmq-1.3.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libzmq.so.3()(64bit)
    rtld(GNU_HASH)



Provides
--------
czmq-debuginfo-1.3.2-1.fc17.x86_64.rpm:
    
    czmq-debuginfo = 1.3.2-1.fc17
    czmq-debuginfo(x86-64) = 1.3.2-1.fc17

czmq-devel-1.3.2-1.fc17.x86_64.rpm:
    
    czmq-devel = 1.3.2-1.fc17
    czmq-devel(x86-64) = 1.3.2-1.fc17
    pkgconfig(libczmq) = 1.3.2

czmq-1.3.2-1.fc17.x86_64.rpm:
    
    czmq = 1.3.2-1.fc17
    czmq(x86-64) = 1.3.2-1.fc17
    libczmq.so.1()(64bit)



MD5-sum check
-------------
http://download.zeromq.org/czmq-1.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : c9459a2b78f604f956b2ba99abd5608653ff2ef5ab70e405ab05f2b9f2d3656c
  CHECKSUM(SHA256) upstream package : c9459a2b78f604f956b2ba99abd5608653ff2ef5ab70e405ab05f2b9f2d3656c


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 889351

Comment 2 Jose Pedro Oliveira 2012-12-23 14:41:10 UTC
New Package SCM Request
=======================
Package Name: czmq
Short Description: High-level C binding for 0MQ (ZeroMQ)
Owners: jpo
Branches: f17 f18 el6
InitialCC:

Comment 3 Gwyn Ciesla 2012-12-24 14:06:26 UTC
Git done (by process-git-requests).

Comment 4 Jose Pedro Oliveira 2012-12-24 16:48:27 UTC
Haïkel Guémar, 

Thanks for the review. I've already imported czmq for rawhide, f18, f17 and el6 but I've only built it for rawhide.  I'm only planning in building it for the other branches after ZeroMQ3 3.2.2 arrives there. Please see and/or track bug 867182 for zeromq3 updates.

Regards,
jpo

Comment 5 Fedora Update System 2012-12-24 20:02:02 UTC
czmq-1.3.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/czmq-1.3.2-1.fc18

Comment 6 Fedora Update System 2012-12-24 20:06:49 UTC
czmq-1.3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/czmq-1.3.2-1.fc17

Comment 7 Fedora Update System 2012-12-24 20:07:35 UTC
czmq-1.3.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/czmq-1.3.2-1.el6

Comment 8 Fedora Update System 2012-12-25 20:07:47 UTC
czmq-1.3.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2013-01-12 00:46:30 UTC
czmq-1.3.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-01-12 15:10:56 UTC
czmq-1.3.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Fedora Update System 2013-01-22 03:35:41 UTC
czmq-1.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.